Bug 847565 - Very slow response or frozen input when input is switched to use other input methods (e.g. Chinese, pinyin)
Very slow response or frozen input when input is switched to use other input ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ibus (Show other bugs)
18
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: fujiwara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-12 21:58 EDT by cnsturgeon2000
Modified: 2014-02-05 17:46 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:46:48 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description cnsturgeon2000 2012-08-12 21:58:34 EDT
Description of problem:

Slow response or frozen input when input is switched to use other input methods (e.g. Chinese, pinyin). There is a similar problem with SCIM for Chinese input too.

When no input methods other than English is used, no problems at all. When the Chinese input is on, Ctrl+p will make around 10s to get the text actually pasted into the text filed. It is very often the case that when Chinese method is switched off it is difficult to get it back util playing around for a while.


Version-Release number of selected component (if applicable):
ibus-1.4.99.20120712-1.fc17.x86_64

How reproducible:
With Chinese input method switched on

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 fujiwara 2012-08-13 22:45:16 EDT
I cannot reproduce your problem.
Do you use GTK3 applications?
How about setting $GTK_IM_MODULE?


% export GTK_IM_MODULE=ibus
% gedit
Comment 2 cnsturgeon2000 2012-08-28 21:09:37 EDT
I think this probably a very tricky bug, it just can't be reproduced so easily and it may not affect all the users. 

I use XFCE for window manager and hardware is Dell LATITUDE E6510.

It doesn't happen all the time, and just not sure when it will happen again. Sometime when I switch window and try to type in something and nothing can't be typed in util I disable the input method.
Comment 3 fujiwara 2012-08-29 02:04:50 EDT
(In reply to comment #2)
> I think this probably a very tricky bug, it just can't be reproduced so
> easily and it may not affect all the users. 
> 
> I use XFCE for window manager and hardware is Dell LATITUDE E6510.
> 
> It doesn't happen all the time, and just not sure when it will happen again.
> Sometime when I switch window and try to type in something and nothing can't
> be typed in util I disable the input method.


Which application do you use?
Did you install imsettings-xfce ?
I cannot reproduce your problem with gedit and gnome-terminal in XFCE
Comment 4 cnsturgeon2000 2012-08-29 19:55:19 EDT
Thanks for all your suggestions.

I use Firefox, Chrome, Eclipse, terminal mainly. imsettings-xfce was installed. I have been using fedora since RH 9 (not very correct saying). I never have such a problem regarding the Chinese input before 17, I think input method can be applied globally, by application since 17 right?

I am really not sure what cause the problem. I won't compalin anything if purely English keyboard typing is used as standard input except for when Chinese input is enabled.

The Chinese input metiod I use is Intelligent Pinyin 1.4.91. Would the problem caused by the change for making input method being able to applied globally, application wise?
Comment 5 cnsturgeon2000 2012-08-29 20:13:41 EDT
still happening (Chinese input is enabled), very slow response, tried to type in something here, nothing happen on the screen not even Chinese. This happened when I tried to report here that "Ctrl-V" is still not really working, and the paste action took around 3~5s to get the text actually pasted into the text filed.
Comment 6 Peng Wu 2012-08-30 05:04:38 EDT
Could you use `top` to check which program uses the cpu?
Comment 7 cnsturgeon2000 2012-08-31 02:24:27 EDT
when it happened
top:

24546 xxx    20   0  997m 412m 6072 S 20.6  5.3  44:59.74 emulator-arm      
 2437 xxx    20   0 3003m 818m  22m S  7.6 10.4  69:41.61 firefox           
 1258 root      20   0  277m  73m  10m S  0.8  0.9  27:23.96 Xorg              
 1787 xxx    20   0  470m 5368 3944 S  0.8  0.1   0:47.20 xfdesktop         
20432 xxx    20   0 1066m  90m  19m S  0.8  1.2   0:12.38 chrome            
29238 xxx    20   0  677m  16m  10m S  0.8  0.2   0:03.24 gnome-terminal 
...

emulator is the android emualtor, it is always like that no matter if I have this problem or not.
Comment 8 fujiwara 2012-08-31 03:43:39 EDT
Are you able to reproduce your problem with a new user account instead of the current user account?
Comment 9 sangu 2012-09-02 01:32:08 EDT
This similar issue happanes in hangul input method, too.

Click ctrl + space -> delay -> switch 

1. open epiphany
2. login twitter 
3. Swich input method in input form.


epiphany-3.5.90-1.fc18.x86_64
ibus-1.4.99.20120822-1.fc18.x86_64
ibus-hangul-1.4.1-5.fc18.x86_64
Comment 10 fujiwara 2012-09-03 00:58:17 EDT
(In reply to comment #9)
> This similar issue happanes in hangul input method, too.
> 
> Click ctrl + space -> delay -> switch 
> 
> 1. open epiphany
> 2. login twitter 
> 3. Swich input method in input form.
> 
> 
> epiphany-3.5.90-1.fc18.x86_64
> ibus-1.4.99.20120822-1.fc18.x86_64
> ibus-hangul-1.4.1-5.fc18.x86_64

This is a f17 problem.
Comment 11 cnsturgeon2000 2012-09-03 02:16:37 EDT
(In reply to comment #9)
> This similar issue happanes in hangul input method, too.
> 
> Click ctrl + space -> delay -> switch 
> 
> 1. open epiphany
> 2. login twitter 
> 3. Swich input method in input form.
> 
> 
> epiphany-3.5.90-1.fc18.x86_64
> ibus-1.4.99.20120822-1.fc18.x86_64
> ibus-hangul-1.4.1-5.fc18.x86_64

I guess that is the underneath problem, and it is not a problem of a certain input method then.
Comment 12 fujiwara 2012-09-03 03:55:53 EDT
(In reply to comment #8)
> Are you able to reproduce your problem with a new user account instead of
> the current user account?

I'd like to ask this.
Comment 13 cnsturgeon2000 2012-09-03 20:54:43 EDT
(In reply to comment #12)
> (In reply to comment #8)
> > Are you able to reproduce your problem with a new user account instead of
> > the current user account?
> 
> I'd like to ask this.

I will try to do this, but you know it is not so easy because new user account means no normal workflow purly for the testing
Comment 14 cnsturgeon2000 2012-09-05 20:11:10 EDT
I had tested about 20 minuts with a new acount. It seemed all OK, except that sometimes the input method notification on right top corner system tray showing in Chinese input mode, but acctually not.
Comment 15 cnsturgeon2000 2012-09-06 00:52:21 EDT
As I really can't do my work using the new account, it is hard to say whether the problem is caused by some settings of the user by just testing it for only a little while.
Comment 16 fujiwara 2012-09-06 05:37:09 EDT
If you rename $HOME/.cache/dconf/user , are you able to reproduce your problem with your current account?
I'd need to know what was changed in your environment.
I guess you won't reproduce your problem if you clean up all the dot files in $HOME.
Comment 17 fujiwara 2012-09-06 05:39:55 EDT
(In reply to comment #16)
> If you rename $HOME/.cache/dconf/user , are you able to reproduce your
> problem with your current account?
> I'd need to know what was changed in your environment.
> I guess you won't reproduce your problem if you clean up all the dot files
> in $HOME.

Correction:
$HOME/.config/dconf/user instead of $HOME/.cache/dconf/user
Comment 18 cnsturgeon2000 2012-09-06 21:21:17 EDT
(In reply to comment #16)
> If you rename $HOME/.cache/dconf/user , are you able to reproduce your
> problem with your current account?
> I'd need to know what was changed in your environment.
> I guess you won't reproduce your problem if you clean up all the dot files
> in $HOME.

After the name change, I had to re-config the Chinese input method in the keyboard layout. But still, the problem is there. Initially, everything seems all right. After using the Chinese typing for a while and constantly swithing between Chinese and English, I found the switching part particularly is quite buggy. After Chinese input was disabled and I tried to get it back, nothing happened on screen when I did ctrl-space and I had to played around with something then came back to make it work again.
Comment 19 fujiwara 2012-09-06 21:41:05 EDT
(In reply to comment #18)
> After the name change, I had to re-config the Chinese input method in the
> keyboard layout. But still, the problem is there. Initially, everything
> seems all right. After using the Chinese typing for a while and constantly
> swithing between Chinese and English, I found the switching part
> particularly is quite buggy. After Chinese input was disabled and I tried to
> get it back, nothing happened on screen when I did ctrl-space and I had to
> played around with something then came back to make it work again.

Actually I asked two ways.
One is to rename $HOME/.config/dconf/user
Another is to move all dot files in $HOME, besides $HOME/.config, to somewhere e.g. /var/tmp/$USER .

I guess you tried to rename the user file only.

How about the result after you move all dot files?

Also could you attach the screenshot when the input is very slow?

% gnome-screenshot -i
Comment 20 cnsturgeon2000 2012-09-13 19:48:03 EDT
I removed basically all the dot file in my ~/ and left a few very important ones (.android, .VirtualBox, etc. stuffs). 

So I had to reconfigure almost everything and had tested it for a couple days. So far so good. 

I haven't encounter the slow reponse problem after that but still keep monitoring it.

The only sideaffect of removing all dot files is that now each time I login, the input method selector keeps popping up.
Comment 21 fujiwara 2012-09-24 22:13:44 EDT
OK, I'd ask you which dot file effect your problem since I cannot reproduce your problem.
But if you cannot do, probably I'd like to close this bug later.

(In reply to comment #20)
> The only sideaffect of removing all dot files is that now each time I login,
> the input method selector keeps popping up.

The behavior is expected from the beginning in f17.
Comment 22 cnsturgeon2000 2012-10-02 20:09:07 EDT
Hi fujiwara,

thank you for your time and responses. The dot files I removed are:

                          .gstreamer-0.10     .pulse-cookie
                          .gtk-bookmarks      .purple
.adobe                    .gvfs               .qt
.appletviewer             .ibus               .repoconfig
.bluefish                 .ICEauthority       .repopickle_.gitconfig
.cache                    .imsettings.log     .scim
.ccache                   .java               .shotwell
.cinepaint                .kde                .shutter
.config                   .leechcraft         .Skype
.CrosslinkValidationTool  .lesshst            .spice-vdagent
.dbus                     .local              .ssh
.esd_auth                 .LTWAssessmentTool  .stardict
.filezilla                .lyx                .subversion
.fontconfig               .m2                 .swt
.gconf                    .macromedia         .thumbnails
.gimp-2.8                 .madedit            .vim
.gitconfig                .mission-control    .viminfo
.git-credential-cache     .mozilla            .xinputrc
.gnome2                   .mypaint            .xscreensaver
.gnome2_private           .mysql_history      .xsession-errors
.gnupg                    .netbeans           .xsession-errors.old
.grl-bookmarks            .orc                .zshrc
.grl-metadata-store       .pki
.grl-podcasts             .pulse

Just yesterday, I encountered this problem again: "Chinese method is switched off it is difficult to get it back util playing around for a while."

Many Thanks.
Comment 23 cnsturgeon2000 2012-10-02 20:33:49 EDT
Actually, the Ctrl-P slow response happened again too.
Comment 24 fujiwara 2012-10-04 01:58:41 EDT
(In reply to comment #22)
> Hi fujiwara,
> 
> thank you for your time and responses. The dot files I removed are:
> 
>                           .gstreamer-0.10     .pulse-cookie
>                           .gtk-bookmarks      .purple
> .adobe                    .gvfs               .qt
> .appletviewer             .ibus               .repoconfig
> .bluefish                 .ICEauthority       .repopickle_.gitconfig
> .cache                    .imsettings.log     .scim
> .ccache                   .java               .shotwell
> .cinepaint                .kde                .shutter
> .config                   .leechcraft         .Skype
> .CrosslinkValidationTool  .lesshst            .spice-vdagent
> .dbus                     .local              .ssh
> .esd_auth                 .LTWAssessmentTool  .stardict
> .filezilla                .lyx                .subversion
> .fontconfig               .m2                 .swt
> .gconf                    .macromedia         .thumbnails
> .gimp-2.8                 .madedit            .vim
> .gitconfig                .mission-control    .viminfo
> .git-credential-cache     .mozilla            .xinputrc
> .gnome2                   .mypaint            .xscreensaver
> .gnome2_private           .mysql_history      .xsession-errors
> .gnupg                    .netbeans           .xsession-errors.old
> .grl-bookmarks            .orc                .zshrc
> .grl-metadata-store       .pki
> .grl-podcasts             .pulse
> 
> Just yesterday, I encountered this problem again: "Chinese method is
> switched off it is difficult to get it back util playing around for a while."
> 
> Many Thanks.

Do you mean you cannot reproduce your problem with a new user account but can do it even if you remove all dot files and re-log in the session?

It's a bit strange.
Comment 25 cnsturgeon2000 2012-10-04 19:58:13 EDT
I removed basically all dot files which is similar with creating a new user account. Initially, it works all fine, copy and paste good, switching good. After after approximately 18 days of usage, problems re-appeared.

As you know, all the dot files will be re-created once the programs start running, and might accumulate lots of "junks". That might be the problems.
Comment 26 fujiwara 2012-12-04 03:49:30 EST
I still cannot reproduce your problem.
I wonder if your problem could be happened without running ibus.
Comment 27 cnsturgeon2000 2013-01-03 01:43:07 EST
I tried SCIM, seemed even worse
Comment 28 cnsturgeon2000 2013-01-21 20:15:40 EST
Upgraded F17 to F18, xfce still pops up im-chooser everytime after logging in. Also, the slow response remains the same with Chinese input method enabled.
Comment 29 cnsturgeon2000 2013-02-04 19:51:18 EST
after deleting the main desktop related dot files, all worked alright. However, same pattern happened, the slow response came back just about 2 weeks later
Comment 30 cnsturgeon2000 2013-02-04 19:53:29 EST
the same system wise input method without customization is a bad idea.
Comment 31 Jens Petersen 2013-04-15 03:33:56 EDT
Is it only happening in GTK applications?
Comment 32 cnsturgeon2000 2013-06-05 01:03:34 EDT
(In reply to Jens Petersen from comment #31)
> Is it only happening in GTK applications?

I don't know, and I can't experiment it because I am using Linux Mint now. I am wishing Fedora could have settings as Ubuntu / Linux Mint / Debian or the old Fedora < 16 allowing input method only enabled when it is invoked not every single appllcation by default, although we can by setting it.

Another thing I found is, one day there is no sound at all, after struggling a bit, I get the computer sound back by deleting the .pulse. Similarity here is the dot file again.
Comment 33 Fedora End Of Life 2013-12-21 03:40:40 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 34 Jens Petersen 2014-01-22 01:11:34 EST
So what is the conclusion here?
Comment 35 Fedora End Of Life 2014-02-05 17:46:48 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.